commit:     f8a4bd037ed9f1b0a7c78e0d79eac0041f76e5e9
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Feb 25 00:43:23 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Feb 25 02:05:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8a4bd03

dev-python/isodate-0.6.0-r1: revbump, EAPI=7, py37

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/isodate/isodate-0.6.0-r1.ebuild | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/dev-python/isodate/isodate-0.6.0-r1.ebuild 
b/dev-python/isodate/isodate-0.6.0-r1.ebuild
new file mode 100644
index 00000000000..fd81d209047
--- /dev/null
+++ b/dev-python/isodate/isodate-0.6.0-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7,8}} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="ISO 8601 date/time/duration parser and formatter"
+HOMEPAGE="https://pypi.org/project/isodate/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )"
+
+python_test() {
+       "${EPYTHON}" -m unittest discover -v -s "${BUILD_DIR}/lib" \
+               || die "Testing failed with ${EPYTHON}"
+}

Reply via email to